const isValidMapEntry = require('./utils').isValidMapEntry;

const Datapoint = function () {

  this.context = {};
  this.errors = [];
  this.endpoint = {};
  this.meta = {};
  this.detections = [];
  this.input = {};
};

/**
 * @param {String} key
 * @param {String} value
 */
Datapoint.prototype.putContext = function (key, value) {
  if (isValidMapEntry(key, value))
    this.context[key] = value;
};

/**
 * @param {String} key
 * @param {String} value
 */
Datapoint.prototype.putEndpoint = function (key, value) {
  if (isValidMapEntry(key, value))
    this.endpoint[key] = value;
};

/**
 * @param {String} key
 * @param {String} value
 */
Datapoint.prototype.putInput = function (key, value) {
  if (isValidMapEntry(key, value))
    this.input[key] = value;
};

/**
 * @param {String} key
 * @param {String} value
 */
Datapoint.prototype.putMeta = function (key, value) {
  if (isValidMapEntry(key, value))
    this.meta[key] = value;
};

/**
 * @param {Error} error
 */
Datapoint.prototype.addError = function (error) {
  if (error)
    this.errors.push(error);
};

module.exports = Datapoint;