var os = require('os');
var Handler = require('../../handler/handler');

var EnvironmentHandler = function () {
}

EnvironmentHandler.prototype = new Handler();

/**
 * @param datapoint Datapoint
 */
EnvironmentHandler.prototype.handle = function (datapoint) {
  datapoint.putEndpoint("os.name", os.type());
  datapoint.putEndpoint("os.version", os.release());
  datapoint.putEndpoint("os.arch", os.arch());
  datapoint.putEndpoint("node-js.version", process.version);
  datapoint.putEndpoint("node-js.vendor", "node-js");
  datapoint.putEndpoint("host.name", os.hostname());
  datapoint.putEndpoint("memory.size", os.totalmem());
  datapoint.putEndpoint("memory.used", process.memoryUsage().heapTotal);
}

module.exports = EnvironmentHandler;