var Datapoint = require('./../core/datapoint');
var expect = require('chai').expect;

describe('Continuation', function () {
    var session = require("continuation-local-storage").createNamespace("session");
    session.run(function () {
        var datapoint = new Datapoint();
        session.set('datapoint', datapoint);
        var sessionDatapoint = session.get('datapoint');
        it('should not be empty', function () {
            expect(sessionDatapoint).to.equal(datapoint);
        });
    });

    var datapoint = session.get('datapoint');
    it('should be empty', function(){
        expect(datapoint).to.be.undefined;
    });
});

