const expect = require('chai').expect;
require('../../core/init');
const Sequelize = require('sequelize');

describe('Hook', function () {
  describe('Sequelize', function () {
    it('must contain sql trace error', function () {
      bitSensor.runSession(function () {
        expect(bitSensor.getDatapoint().errors).to.be.empty;

        const sequelize = new Sequelize('database', 'username', 'password', {
          host: 'localhost',
          dialect: 'sqlite',
          logging: false
        });

        const User = sequelize.define('user', {
          username: Sequelize.STRING,
          birthday: Sequelize.DATE
        });

        sequelize.sync()
          .then(() => User.create({
            username: 'janedoe',
            birthday: new Date(1980, 6, 20)
          }))

        setTimeout(() => {
          expect(bitSensor.getDatapoint().errors[0].type).to.equal('sqltrace');
          done()
        }, 100)
      });
    });
  });
});